onEvent('recipes', event => {
    
    //shapeless
    function shapeless(input, output){
        event.custom(
            {
                "type": "minecraft:crafting_shapeless",
                "group": "botania:petal_block_deconstruct",
                "ingredients": [
                  {
                    "item": input
                  }
                ],
                "result": {
                  "item": output,
                  "count": 9
                }
              }
        )
    }
    shapeless('botania:white_petal_block', 'botania:white_petal')
    shapeless('botania:orange_petal_block', 'botania:orange_petal')
    shapeless('botania:magenta_petal_block', 'botania:magenta_petal')
    shapeless('botania:light_blue_petal_block', 'botania:light_blue_petal')
    shapeless('botania:yellow_petal_block', 'botania:yellow_petal')
    shapeless('botania:lime_petal_block', 'botania:lime_petal')
    shapeless('botania:pink_petal_block', 'botania:pink_petal')
    shapeless('botania:gray_petal_block', 'botania:gray_petal')
    shapeless('botania:light_gray_petal_block', 'botania:light_gray_petal')
    shapeless('botania:cyan_petal_block', 'botania:cyan_petal')
    shapeless('botania:purple_petal_block', 'botania:purple_petal')
    shapeless('botania:blue_petal_block', 'botania:blue_petal')
    shapeless('botania:brown_petal_block', 'botania:brown_petal')
    shapeless('botania:green_petal_block', 'botania:green_petal')
    shapeless('botania:red_petal_block', 'botania:red_petal')
    shapeless('botania:black_petal_block', 'botania:black_petal')
})